Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591873 - Connecting to the network after an offline kerberos auth logs continuous error messages to sssd_ldap.log.
Summary: Connecting to the network after an offline kerberos auth logs continuous erro...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Stephen Gallagher
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 11:47 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:42 UTC (History)
4 users (show)

Fixed In Version: sssd-1.2.1-15.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:39:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
sssd.conf (deleted)
2010-05-13 11:47 UTC, Gowrishankar Rajaiyan
no flags Details
Complete log file. (deleted)
2010-05-13 11:52 UTC, Gowrishankar Rajaiyan
no flags Details

Description Gowrishankar Rajaiyan 2010-05-13 11:47:57 UTC
Created attachment 413728 [details]
sssd.conf

Description of problem:
Connecting to the network after an offline auth logs continuous error messages to sssd_ldap.log which causes it to grow at a rapid pace until stopping it by doing a "service sssd restart".

Version-Release number of selected component (if applicable):
sssd-1.1.91-10.el6.x86_64

How reproducible:


Steps to Reproduce:

- Do a tail -f /var/log/sssd/sssd_ldap.log on a separate terminal for monitoring.

1. configure sssd.conf for kerberos auth.
2. login as "sssd" user to cache credentials - authentication successful.
3. logout.
4. disconnect the network.
5. login as "sssd" - authentication successful with cached credentials.
6. logout.
7. connect the network.
8. wait for a few seconds ~30.
9. Observer the log messages in the other terminal.
  
Actual results:
<snip>
(Thu May 13 15:11:38 2010) [sssd[be[ldap]]] [sdap_process_result] (8): Trace: sh[0x1bc0e20], connected[0], ops[(nil)], ldap[0x1bc1040]
(Thu May 13 15:11:38 2010) [sssd[be[ldap]]] [sdap_process_result] (2): ERROR: LDAP connection is not connected!
(Thu May 13 15:11:38 2010) [sssd[be[ldap]]] [sdap_process_result] (8): Trace: sh[0x1bc0e20], connected[0], ops[(nil)], ldap[0x1bc1040]
(Thu May 13 15:11:38 2010) [sssd[be[ldap]]] [sdap_process_result] (2): ERROR: LDAP connection is not connected!
(Thu May 13 15:11:38 2010) [sssd[be[ldap]]] [sdap_process_result] (8): Trace: sh[0x1bc0e20], connected[0], ops[(nil)], ldap[0x1bc1040]
(Thu May 13 15:11:38 2010) [sssd[be[ldap]]] [sdap_process_result] (2): ERROR: LDAP connection is not connected!
</snip>

The above error gets logged continuously until a service sssd restart.

Expected results:
Should not log any error messages.

Additional info:

Comment 1 Gowrishankar Rajaiyan 2010-05-13 11:52:23 UTC
Created attachment 413731 [details]
Complete log file.

Comment 2 Stephen Gallagher 2010-05-13 11:55:19 UTC
Assigning to Jakub for triage.

Comment 5 RHEL Product and Program Management 2010-05-13 14:06:27 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 6 Stephen Gallagher 2010-05-25 14:33:43 UTC
Reassigning to myself. I can reproduce this issue consistently.

Comment 8 Gowrishankar Rajaiyan 2010-09-16 13:19:39 UTC
No more "ERROR: LDAP connection is not connected!" messages logged.

Verified. Version: sssd-1.2.1-27.el6.

Comment 9 releng-rhel@redhat.com 2010-11-10 21:39:41 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.